#
# $Id: gs.rps $
# Spec file for Aladdin Ghostscript 6.0
#
# Based on RPM Spec file by RedHat for GNU Ghostscript 3.33
#
# For each new version of Ghostscript, you will need to change 
#   Version:
#   Source[0-3]:
#   Patch:
#   Patch1:
#   directory renaming of 3rd party libraries in %prep
#   update the patch files.
#
# 6.0 release
# 2000-02-05 <gsview@ghostgum.com.au>
#
# 5.96 first try 
# 1999-11-16 <gomez@slib.fr>
#
# 5.50 release 3 include patches available as of 
# 1999-05-24 <gomez@slib.fr>
#
# 5.50 release 2 includes two fixes to the SPEC file, and all
# patches available as of 1998-12-23 (rjl)
#
Summary: PostScript interpreter and renderer
Name: ghostscript
Version: 6.0
%define oversion 6.0
Release: 1
Copyright: Aladdin Free Public License, Aladdin Enterprises
Group: Applications/Graphics
Source0: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs600/ghostscript-%{version}.tar.gz
Source1: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs600/ghostscript-%{oversion}jpeg.tar.gz
Source2: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs600/ghostscript-%{oversion}libpng.tar.gz
Source3: ftp://ftp.cs.wisc.edu/ghost/aladdin/gs600/ghostscript-%{oversion}zlib.tar.gz
Patch: ghostscript-%{version}-config.patch
# comment out the following line if no post release patches are available.
#Patch1: ghostscript-%{version}-post.patch
URL: http://www.cs.wisc.edu/~ghost/
#Icon: ghost.gif
#Distribution: Unknown
Vendor: Aladdin Enterprises
Packager: Russell Lang <gsview@ghostgum.com.au>
Requires: ghostscript-fonts
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.

%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/gs%{version}
mkdir $RPM_BUILD_DIR/gs%{version}
#
# unpack main sources
%setup -n gs%{version}
#
# unpack jpeg
%setup -T -D -a 1 -n gs%{version}
# For gs 5.50 and later, rename jpeg subdirectory
mv $RPM_BUILD_DIR/gs%{version}/jpeg-6b  $RPM_BUILD_DIR/gs%{version}/jpeg
#
# unpack libpng
%setup -T -D -a 2 -n gs%{version}
# For gs 5.50 and later, rename libpng subdirectory
#mv $RPM_BUILD_DIR/gs%{version}/libpng-1.0.2  $RPM_BUILD_DIR/gs%{version}/libpng
mv $RPM_BUILD_DIR/gs%{version}/libpng-1.0.3  $RPM_BUILD_DIR/gs%{version}/libpng
#
# unpack zlib
%setup -T -D -a 3 -n gs%{version}
# For gs 5.50 and later, rename zlib subdirectory
mv $RPM_BUILD_DIR/gs%{version}/zlib-1.1.3  $RPM_BUILD_DIR/gs%{version}/zlib
#
# copy the makefile, then patch the new copy
cp $RPM_BUILD_DIR/gs%{version}/src/unix-gcc.mak $RPM_BUILD_DIR/gs%{version}/Makefile
cp $RPM_BUILD_DIR/gs%{version}/Makefile $RPM_BUILD_DIR/gs%{version}/Makefile.backup
%patch  -p1 -b .config
# apply the post release patches (comment out following line if none)
#%patch1  -p1 -b .post


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,doc}
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
strip $RPM_BUILD_ROOT/usr/bin/gs


%files
%defattr(-, root, root)
/usr/doc/ghostscript-%{version}
/usr/bin/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{version}
/usr/share/ghostscript/%{version}/lib
/usr/share/ghostscript/%{version}/examples
/usr/man/*/*

%changelog
* Sat Feb 5 2000 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 6.0 release
  Built under RedHat 5.1.
  Doesn't require urw_fonts because these aren't part of RedHat 5.1.
  Installs fonts to /usr/share/fonts/defaults/ghostscript
  This is an Aladdin release, not GNU.

* Tue Nov 16 1999 Henri Gomez <gomez@slib.fr>
- ghostscript 5.96
  all new RPM release
  Built under Redhat 6.1 and sus require urw_fonts (type1)
  fonts used are located in /usr/share/fonts/defaults/ghostscript
  and /usr/share/fonts/defaults/Type1 (Redhat 6.1 Path)

* Mon May 5 1999 Henri Gomez <gomez@slib.fr>
- ghostscript 5.50-3
  includes two fixes to the SPEC file, and all
  patches available as of 1998-12-23 (rjl)
